package com.mortals.xhx.module.bussinesscard.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.bussinesscard.model.BussinesscardEntity;
/**
 * 名片基本信息查询对象
 *
 * @author zxfei
 * @date 2024-12-02
 */
public class BussinesscardQuery extends BussinesscardEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 名片所属关联员工ID */
    private Long staffIdStart;

    /** 结束 名片所属关联员工ID */
    private Long staffIdEnd;

    /** 增加 名片所属关联员工ID */
    private Long staffIdIncrement;

    /** 名片所属关联员工ID列表 */
    private List <Long> staffIdList;

    /** 名片所属关联员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 名片所属关联员工姓名 */
    private List<String> staffNameList;

    /** 名片所属关联员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 名片姓名 */
    private List<String> nameList;

    /** 名片姓名排除列表 */
    private List <String> nameNotList;
    /** 开始 性别(1.男,2.女) */
    private Integer genderStart;

    /** 结束 性别(1.男,2.女) */
    private Integer genderEnd;

    /** 增加 性别(1.男,2.女) */
    private Integer genderIncrement;

    /** 性别(1.男,2.女)列表 */
    private List <Integer> genderList;

    /** 性别(1.男,2.女)排除列表 */
    private List <Integer> genderNotList;

    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;

    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 邮件地址 */
    private List<String> emailList;

    /** 邮件地址排除列表 */
    private List <String> emailNotList;
    /** 联系电话 */
    private List<String> phoneNumberList;

    /** 联系电话排除列表 */
    private List <String> phoneNumberNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 开始 记录名片持有者所在公司或组织的名称ID */
    private Long companyIdStart;

    /** 结束 记录名片持有者所在公司或组织的名称ID */
    private Long companyIdEnd;

    /** 增加 记录名片持有者所在公司或组织的名称ID */
    private Long companyIdIncrement;

    /** 记录名片持有者所在公司或组织的名称ID列表 */
    private List <Long> companyIdList;

    /** 记录名片持有者所在公司或组织的名称ID排除列表 */
    private List <Long> companyIdNotList;

    /** 记录名片持有者所在公司或组织的名称 */
    private List<String> companyNameList;

    /** 记录名片持有者所在公司或组织的名称排除列表 */
    private List <String> companyNameNotList;
    /** 开始 职位ID */
    private Long positionIdStart;

    /** 结束 职位ID */
    private Long positionIdEnd;

    /** 增加 职位ID */
    private Long positionIdIncrement;

    /** 职位ID列表 */
    private List <Long> positionIdList;

    /** 职位ID排除列表 */
    private List <Long> positionIdNotList;

    /** 职位名称 */
    private List<String> positionNameList;

    /** 职位名称排除列表 */
    private List <String> positionNameNotList;
    /** 简介 */
    private List<String> bioList;

    /** 简介排除列表 */
    private List <String> bioNotList;
    /** 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段 */
    private List<String> socialMediaList;

    /** 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段排除列表 */
    private List <String> socialMediaNotList;
    /** 二维码图片, 可以是一个图片链接或存储路径 */
    private List<String> qRCodeList;

    /** 二维码图片, 可以是一个图片链接或存储路径排除列表 */
    private List <String> qRCodeNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 累计查看次数 */
    private Integer sumViewsStart;

    /** 结束 累计查看次数 */
    private Integer sumViewsEnd;

    /** 增加 累计查看次数 */
    private Integer sumViewsIncrement;

    /** 累计查看次数列表 */
    private List <Integer> sumViewsList;

    /** 累计查看次数排除列表 */
    private List <Integer> sumViewsNotList;

    /** 开始 当日查看次数 */
    private Integer viewsByDayStart;

    /** 结束 当日查看次数 */
    private Integer viewsByDayEnd;

    /** 增加 当日查看次数 */
    private Integer viewsByDayIncrement;

    /** 当日查看次数列表 */
    private List <Integer> viewsByDayList;

    /** 当日查看次数排除列表 */
    private List <Integer> viewsByDayNotList;

    /** 开始 发送名片次数 */
    private Integer sendBusinessCardTimesStart;

    /** 结束 发送名片次数 */
    private Integer sendBusinessCardTimesEnd;

    /** 增加 发送名片次数 */
    private Integer sendBusinessCardTimesIncrement;

    /** 发送名片次数列表 */
    private List <Integer> sendBusinessCardTimesList;

    /** 发送名片次数排除列表 */
    private List <Integer> sendBusinessCardTimesNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 名片展示设置 */
    private List<String> settingList;

    /** 名片展示设置排除列表 */
    private List <String> settingNotList;
    /** 公司地址 */
    private List<String> companyAdressList;

    /** 公司地址排除列表 */
    private List <String> companyAdressNotList;
    /** 名片背景 */
    private List<String> backdropList;

    /** 名片背景排除列表 */
    private List <String> backdropNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BussinesscardQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BussinesscardQuery> andConditionList;

    public BussinesscardQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 名片所属关联员工ID
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 名片所属关联员工ID
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 名片所属关联员工ID
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 名片所属关联员工ID
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 名片所属关联员工ID
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 名片所属关联员工ID
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 名片所属关联员工ID
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 名片所属关联员工ID
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 名片所属关联员工ID
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 名片所属关联员工ID
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 名片所属关联员工姓名
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 名片所属关联员工姓名
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 名片所属关联员工姓名
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 名片所属关联员工姓名
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 名片姓名
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 名片姓名
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 名片姓名
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 名片姓名
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 开始 性别(1.男,2.女)
     * @return genderStart
     */
    public Integer getGenderStart(){
        return this.genderStart;
    }

    /**
     * 设置 开始 性别(1.男,2.女)
     * @param genderStart
     */
    public void setGenderStart(Integer genderStart){
        this.genderStart = genderStart;
    }

    /**
     * 获取 结束 性别(1.男,2.女)
     * @return $genderEnd
     */
    public Integer getGenderEnd(){
        return this.genderEnd;
    }

    /**
     * 设置 结束 性别(1.男,2.女)
     * @param genderEnd
     */
    public void setGenderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
    }

    /**
     * 获取 增加 性别(1.男,2.女)
     * @return genderIncrement
     */
    public Integer getGenderIncrement(){
        return this.genderIncrement;
    }

    /**
     * 设置 增加 性别(1.男,2.女)
     * @param genderIncrement
     */
    public void setGenderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
    }

    /**
     * 获取 性别(1.男,2.女)
     * @return genderList
     */
    public List<Integer> getGenderList(){
        return this.genderList;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderList
     */
    public void setGenderList(List<Integer> genderList){
        this.genderList = genderList;
    }

    /**
     * 获取 性别(1.男,2.女)
     * @return genderNotList
     */
    public List<Integer> getGenderNotList(){
        return this.genderNotList;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderNotList
     */
    public void setGenderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
    }


    /**
     * 获取 开始 出生日期
     * @return birthdayStart
     */
    public String getBirthdayStart(){
        return this.birthdayStart;
    }

    /**
     * 设置 开始 出生日期
     * @param birthdayStart
     */
    public void setBirthdayStart(String birthdayStart){
        this.birthdayStart = birthdayStart;
    }

    /**
     * 获取 结束 出生日期
     * @return birthdayEnd
     */
    public String getBirthdayEnd(){
        return this.birthdayEnd;
    }

    /**
     * 设置 结束 出生日期
     * @param birthdayEnd
     */
    public void setBirthdayEnd(String birthdayEnd){
        this.birthdayEnd = birthdayEnd;
    }

    /**
     * 获取 照片
     * @return photoPathList
     */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
     * 获取 照片
     * @return photoPathNotList
     */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
     * 设置 照片
     * @param photoPathNotList
     */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
     * 获取 邮件地址
     * @return emailList
     */
    public List<String> getEmailList(){
        return this.emailList;
    }

    /**
     * 设置 邮件地址
     * @param emailList
     */
    public void setEmailList(List<String> emailList){
        this.emailList = emailList;
    }

    /**
     * 获取 邮件地址
     * @return emailNotList
     */
    public List<String> getEmailNotList(){
        return this.emailNotList;
    }

    /**
     * 设置 邮件地址
     * @param emailNotList
     */
    public void setEmailNotList(List<String> emailNotList){
        this.emailNotList = emailNotList;
    }

    /**
     * 获取 联系电话
     * @return phoneNumberList
     */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
     * 设置 联系电话
     * @param phoneNumberList
     */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
     * 获取 联系电话
     * @return phoneNumberNotList
     */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
     * 设置 联系电话
     * @param phoneNumberNotList
     */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
     * 获取 身份证号码
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证号码
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证号码
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 开始 记录名片持有者所在公司或组织的名称ID
     * @return companyIdStart
     */
    public Long getCompanyIdStart(){
        return this.companyIdStart;
    }

    /**
     * 设置 开始 记录名片持有者所在公司或组织的名称ID
     * @param companyIdStart
     */
    public void setCompanyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
    }

    /**
     * 获取 结束 记录名片持有者所在公司或组织的名称ID
     * @return $companyIdEnd
     */
    public Long getCompanyIdEnd(){
        return this.companyIdEnd;
    }

    /**
     * 设置 结束 记录名片持有者所在公司或组织的名称ID
     * @param companyIdEnd
     */
    public void setCompanyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
    }

    /**
     * 获取 增加 记录名片持有者所在公司或组织的名称ID
     * @return companyIdIncrement
     */
    public Long getCompanyIdIncrement(){
        return this.companyIdIncrement;
    }

    /**
     * 设置 增加 记录名片持有者所在公司或组织的名称ID
     * @param companyIdIncrement
     */
    public void setCompanyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
    }

    /**
     * 获取 记录名片持有者所在公司或组织的名称ID
     * @return companyIdList
     */
    public List<Long> getCompanyIdList(){
        return this.companyIdList;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称ID
     * @param companyIdList
     */
    public void setCompanyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
    }

    /**
     * 获取 记录名片持有者所在公司或组织的名称ID
     * @return companyIdNotList
     */
    public List<Long> getCompanyIdNotList(){
        return this.companyIdNotList;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称ID
     * @param companyIdNotList
     */
    public void setCompanyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
    }


    /**
     * 获取 记录名片持有者所在公司或组织的名称
     * @return companyNameList
     */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称
     * @param companyNameList
     */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
     * 获取 记录名片持有者所在公司或组织的名称
     * @return companyNameNotList
     */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称
     * @param companyNameNotList
     */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
     * 获取 开始 职位ID
     * @return positionIdStart
     */
    public Long getPositionIdStart(){
        return this.positionIdStart;
    }

    /**
     * 设置 开始 职位ID
     * @param positionIdStart
     */
    public void setPositionIdStart(Long positionIdStart){
        this.positionIdStart = positionIdStart;
    }

    /**
     * 获取 结束 职位ID
     * @return $positionIdEnd
     */
    public Long getPositionIdEnd(){
        return this.positionIdEnd;
    }

    /**
     * 设置 结束 职位ID
     * @param positionIdEnd
     */
    public void setPositionIdEnd(Long positionIdEnd){
        this.positionIdEnd = positionIdEnd;
    }

    /**
     * 获取 增加 职位ID
     * @return positionIdIncrement
     */
    public Long getPositionIdIncrement(){
        return this.positionIdIncrement;
    }

    /**
     * 设置 增加 职位ID
     * @param positionIdIncrement
     */
    public void setPositionIdIncrement(Long positionIdIncrement){
        this.positionIdIncrement = positionIdIncrement;
    }

    /**
     * 获取 职位ID
     * @return positionIdList
     */
    public List<Long> getPositionIdList(){
        return this.positionIdList;
    }

    /**
     * 设置 职位ID
     * @param positionIdList
     */
    public void setPositionIdList(List<Long> positionIdList){
        this.positionIdList = positionIdList;
    }

    /**
     * 获取 职位ID
     * @return positionIdNotList
     */
    public List<Long> getPositionIdNotList(){
        return this.positionIdNotList;
    }

    /**
     * 设置 职位ID
     * @param positionIdNotList
     */
    public void setPositionIdNotList(List<Long> positionIdNotList){
        this.positionIdNotList = positionIdNotList;
    }


    /**
     * 获取 职位名称
     * @return positionNameList
     */
    public List<String> getPositionNameList(){
        return this.positionNameList;
    }

    /**
     * 设置 职位名称
     * @param positionNameList
     */
    public void setPositionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
    }

    /**
     * 获取 职位名称
     * @return positionNameNotList
     */
    public List<String> getPositionNameNotList(){
        return this.positionNameNotList;
    }

    /**
     * 设置 职位名称
     * @param positionNameNotList
     */
    public void setPositionNameNotList(List<String> positionNameNotList){
        this.positionNameNotList = positionNameNotList;
    }

    /**
     * 获取 简介
     * @return bioList
     */
    public List<String> getBioList(){
        return this.bioList;
    }

    /**
     * 设置 简介
     * @param bioList
     */
    public void setBioList(List<String> bioList){
        this.bioList = bioList;
    }

    /**
     * 获取 简介
     * @return bioNotList
     */
    public List<String> getBioNotList(){
        return this.bioNotList;
    }

    /**
     * 设置 简介
     * @param bioNotList
     */
    public void setBioNotList(List<String> bioNotList){
        this.bioNotList = bioNotList;
    }

    /**
     * 获取 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段
     * @return socialMediaList
     */
    public List<String> getSocialMediaList(){
        return this.socialMediaList;
    }

    /**
     * 设置 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段
     * @param socialMediaList
     */
    public void setSocialMediaList(List<String> socialMediaList){
        this.socialMediaList = socialMediaList;
    }

    /**
     * 获取 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段
     * @return socialMediaNotList
     */
    public List<String> getSocialMediaNotList(){
        return this.socialMediaNotList;
    }

    /**
     * 设置 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段
     * @param socialMediaNotList
     */
    public void setSocialMediaNotList(List<String> socialMediaNotList){
        this.socialMediaNotList = socialMediaNotList;
    }

    /**
     * 获取 二维码图片, 可以是一个图片链接或存储路径
     * @return qRCodeList
     */
    public List<String> getQRCodeList(){
        return this.qRCodeList;
    }

    /**
     * 设置 二维码图片, 可以是一个图片链接或存储路径
     * @param qRCodeList
     */
    public void setQRCodeList(List<String> qRCodeList){
        this.qRCodeList = qRCodeList;
    }

    /**
     * 获取 二维码图片, 可以是一个图片链接或存储路径
     * @return qRCodeNotList
     */
    public List<String> getQRCodeNotList(){
        return this.qRCodeNotList;
    }

    /**
     * 设置 二维码图片, 可以是一个图片链接或存储路径
     * @param qRCodeNotList
     */
    public void setQRCodeNotList(List<String> qRCodeNotList){
        this.qRCodeNotList = qRCodeNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 累计查看次数
     * @return sumViewsStart
     */
    public Integer getSumViewsStart(){
        return this.sumViewsStart;
    }

    /**
     * 设置 开始 累计查看次数
     * @param sumViewsStart
     */
    public void setSumViewsStart(Integer sumViewsStart){
        this.sumViewsStart = sumViewsStart;
    }

    /**
     * 获取 结束 累计查看次数
     * @return $sumViewsEnd
     */
    public Integer getSumViewsEnd(){
        return this.sumViewsEnd;
    }

    /**
     * 设置 结束 累计查看次数
     * @param sumViewsEnd
     */
    public void setSumViewsEnd(Integer sumViewsEnd){
        this.sumViewsEnd = sumViewsEnd;
    }

    /**
     * 获取 增加 累计查看次数
     * @return sumViewsIncrement
     */
    public Integer getSumViewsIncrement(){
        return this.sumViewsIncrement;
    }

    /**
     * 设置 增加 累计查看次数
     * @param sumViewsIncrement
     */
    public void setSumViewsIncrement(Integer sumViewsIncrement){
        this.sumViewsIncrement = sumViewsIncrement;
    }

    /**
     * 获取 累计查看次数
     * @return sumViewsList
     */
    public List<Integer> getSumViewsList(){
        return this.sumViewsList;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsList
     */
    public void setSumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
    }

    /**
     * 获取 累计查看次数
     * @return sumViewsNotList
     */
    public List<Integer> getSumViewsNotList(){
        return this.sumViewsNotList;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsNotList
     */
    public void setSumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
    }


    /**
     * 获取 开始 当日查看次数
     * @return viewsByDayStart
     */
    public Integer getViewsByDayStart(){
        return this.viewsByDayStart;
    }

    /**
     * 设置 开始 当日查看次数
     * @param viewsByDayStart
     */
    public void setViewsByDayStart(Integer viewsByDayStart){
        this.viewsByDayStart = viewsByDayStart;
    }

    /**
     * 获取 结束 当日查看次数
     * @return $viewsByDayEnd
     */
    public Integer getViewsByDayEnd(){
        return this.viewsByDayEnd;
    }

    /**
     * 设置 结束 当日查看次数
     * @param viewsByDayEnd
     */
    public void setViewsByDayEnd(Integer viewsByDayEnd){
        this.viewsByDayEnd = viewsByDayEnd;
    }

    /**
     * 获取 增加 当日查看次数
     * @return viewsByDayIncrement
     */
    public Integer getViewsByDayIncrement(){
        return this.viewsByDayIncrement;
    }

    /**
     * 设置 增加 当日查看次数
     * @param viewsByDayIncrement
     */
    public void setViewsByDayIncrement(Integer viewsByDayIncrement){
        this.viewsByDayIncrement = viewsByDayIncrement;
    }

    /**
     * 获取 当日查看次数
     * @return viewsByDayList
     */
    public List<Integer> getViewsByDayList(){
        return this.viewsByDayList;
    }

    /**
     * 设置 当日查看次数
     * @param viewsByDayList
     */
    public void setViewsByDayList(List<Integer> viewsByDayList){
        this.viewsByDayList = viewsByDayList;
    }

    /**
     * 获取 当日查看次数
     * @return viewsByDayNotList
     */
    public List<Integer> getViewsByDayNotList(){
        return this.viewsByDayNotList;
    }

    /**
     * 设置 当日查看次数
     * @param viewsByDayNotList
     */
    public void setViewsByDayNotList(List<Integer> viewsByDayNotList){
        this.viewsByDayNotList = viewsByDayNotList;
    }


    /**
     * 获取 开始 发送名片次数
     * @return sendBusinessCardTimesStart
     */
    public Integer getSendBusinessCardTimesStart(){
        return this.sendBusinessCardTimesStart;
    }

    /**
     * 设置 开始 发送名片次数
     * @param sendBusinessCardTimesStart
     */
    public void setSendBusinessCardTimesStart(Integer sendBusinessCardTimesStart){
        this.sendBusinessCardTimesStart = sendBusinessCardTimesStart;
    }

    /**
     * 获取 结束 发送名片次数
     * @return $sendBusinessCardTimesEnd
     */
    public Integer getSendBusinessCardTimesEnd(){
        return this.sendBusinessCardTimesEnd;
    }

    /**
     * 设置 结束 发送名片次数
     * @param sendBusinessCardTimesEnd
     */
    public void setSendBusinessCardTimesEnd(Integer sendBusinessCardTimesEnd){
        this.sendBusinessCardTimesEnd = sendBusinessCardTimesEnd;
    }

    /**
     * 获取 增加 发送名片次数
     * @return sendBusinessCardTimesIncrement
     */
    public Integer getSendBusinessCardTimesIncrement(){
        return this.sendBusinessCardTimesIncrement;
    }

    /**
     * 设置 增加 发送名片次数
     * @param sendBusinessCardTimesIncrement
     */
    public void setSendBusinessCardTimesIncrement(Integer sendBusinessCardTimesIncrement){
        this.sendBusinessCardTimesIncrement = sendBusinessCardTimesIncrement;
    }

    /**
     * 获取 发送名片次数
     * @return sendBusinessCardTimesList
     */
    public List<Integer> getSendBusinessCardTimesList(){
        return this.sendBusinessCardTimesList;
    }

    /**
     * 设置 发送名片次数
     * @param sendBusinessCardTimesList
     */
    public void setSendBusinessCardTimesList(List<Integer> sendBusinessCardTimesList){
        this.sendBusinessCardTimesList = sendBusinessCardTimesList;
    }

    /**
     * 获取 发送名片次数
     * @return sendBusinessCardTimesNotList
     */
    public List<Integer> getSendBusinessCardTimesNotList(){
        return this.sendBusinessCardTimesNotList;
    }

    /**
     * 设置 发送名片次数
     * @param sendBusinessCardTimesNotList
     */
    public void setSendBusinessCardTimesNotList(List<Integer> sendBusinessCardTimesNotList){
        this.sendBusinessCardTimesNotList = sendBusinessCardTimesNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 名片展示设置
     * @return settingList
     */
    public List<String> getSettingList(){
        return this.settingList;
    }

    /**
     * 设置 名片展示设置
     * @param settingList
     */
    public void setSettingList(List<String> settingList){
        this.settingList = settingList;
    }

    /**
     * 获取 名片展示设置
     * @return settingNotList
     */
    public List<String> getSettingNotList(){
        return this.settingNotList;
    }

    /**
     * 设置 名片展示设置
     * @param settingNotList
     */
    public void setSettingNotList(List<String> settingNotList){
        this.settingNotList = settingNotList;
    }

    /**
     * 获取 公司地址
     * @return companyAdressList
     */
    public List<String> getCompanyAdressList(){
        return this.companyAdressList;
    }

    /**
     * 设置 公司地址
     * @param companyAdressList
     */
    public void setCompanyAdressList(List<String> companyAdressList){
        this.companyAdressList = companyAdressList;
    }

    /**
     * 获取 公司地址
     * @return companyAdressNotList
     */
    public List<String> getCompanyAdressNotList(){
        return this.companyAdressNotList;
    }

    /**
     * 设置 公司地址
     * @param companyAdressNotList
     */
    public void setCompanyAdressNotList(List<String> companyAdressNotList){
        this.companyAdressNotList = companyAdressNotList;
    }

    /**
     * 获取 名片背景
     * @return backdropList
     */
    public List<String> getBackdropList(){
        return this.backdropList;
    }

    /**
     * 设置 名片背景
     * @param backdropList
     */
    public void setBackdropList(List<String> backdropList){
        this.backdropList = backdropList;
    }

    /**
     * 获取 名片背景
     * @return backdropNotList
     */
    public List<String> getBackdropNotList(){
        return this.backdropNotList;
    }

    /**
     * 设置 名片背景
     * @param backdropNotList
     */
    public void setBackdropNotList(List<String> backdropNotList){
        this.backdropNotList = backdropNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public BussinesscardQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public BussinesscardQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public BussinesscardQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public BussinesscardQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public BussinesscardQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public BussinesscardQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  名片所属关联员工ID
     * @param staffId
     */
    public BussinesscardQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 名片所属关联员工ID
     * @param staffIdStart
     */
    public BussinesscardQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 名片所属关联员工ID
     * @param staffIdEnd
     */
    public BussinesscardQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 名片所属关联员工ID
     * @param staffIdIncrement
     */
    public BussinesscardQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 名片所属关联员工ID
     * @param staffIdList
     */
    public BussinesscardQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 名片所属关联员工ID
     * @param staffIdNotList
     */
    public BussinesscardQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 名片所属关联员工姓名
     * @param staffName
     */
    public BussinesscardQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 名片所属关联员工姓名
     * @param staffNameList
     */
    public BussinesscardQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }


    /**
     * 设置 名片姓名
     * @param name
     */
    public BussinesscardQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 名片姓名
     * @param nameList
     */
    public BussinesscardQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }

    /**
     * 设置  性别(1.男,2.女)
     * @param gender
     */
    public BussinesscardQuery gender(Integer gender){
        setGender(gender);
        return this;
    }

    /**
     * 设置 开始 性别(1.男,2.女)
     * @param genderStart
     */
    public BussinesscardQuery genderStart(Integer genderStart){
        this.genderStart = genderStart;
        return this;
    }

    /**
     * 设置 结束 性别(1.男,2.女)
     * @param genderEnd
     */
    public BussinesscardQuery genderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
        return this;
    }

    /**
     * 设置 增加 性别(1.男,2.女)
     * @param genderIncrement
     */
    public BussinesscardQuery genderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
        return this;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderList
     */
    public BussinesscardQuery genderList(List<Integer> genderList){
        this.genderList = genderList;
        return this;
    }

    /**
     * 设置 性别(1.男,2.女)
     * @param genderNotList
     */
    public BussinesscardQuery genderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
        return this;
    }



    /**
     * 设置 照片
     * @param photoPath
     */
    public BussinesscardQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
        return this;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public BussinesscardQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
        return this;
    }


    /**
     * 设置 邮件地址
     * @param email
     */
    public BussinesscardQuery email(String email){
        setEmail(email);
        return this;
    }

    /**
     * 设置 邮件地址
     * @param emailList
     */
    public BussinesscardQuery emailList(List<String> emailList){
        this.emailList = emailList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param phoneNumber
     */
    public BussinesscardQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
        return this;
    }

    /**
     * 设置 联系电话
     * @param phoneNumberList
     */
    public BussinesscardQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
        return this;
    }


    /**
     * 设置 身份证号码
     * @param idCard
     */
    public BussinesscardQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public BussinesscardQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }

    /**
     * 设置  记录名片持有者所在公司或组织的名称ID
     * @param companyId
     */
    public BussinesscardQuery companyId(Long companyId){
        setCompanyId(companyId);
        return this;
    }

    /**
     * 设置 开始 记录名片持有者所在公司或组织的名称ID
     * @param companyIdStart
     */
    public BussinesscardQuery companyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
        return this;
    }

    /**
     * 设置 结束 记录名片持有者所在公司或组织的名称ID
     * @param companyIdEnd
     */
    public BussinesscardQuery companyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
        return this;
    }

    /**
     * 设置 增加 记录名片持有者所在公司或组织的名称ID
     * @param companyIdIncrement
     */
    public BussinesscardQuery companyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
        return this;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称ID
     * @param companyIdList
     */
    public BussinesscardQuery companyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
        return this;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称ID
     * @param companyIdNotList
     */
    public BussinesscardQuery companyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
        return this;
    }


    /**
     * 设置 记录名片持有者所在公司或组织的名称
     * @param companyName
     */
    public BussinesscardQuery companyName(String companyName){
        setCompanyName(companyName);
        return this;
    }

    /**
     * 设置 记录名片持有者所在公司或组织的名称
     * @param companyNameList
     */
    public BussinesscardQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
        return this;
    }

    /**
     * 设置  职位ID
     * @param positionId
     */
    public BussinesscardQuery positionId(Long positionId){
        setPositionId(positionId);
        return this;
    }

    /**
     * 设置 开始 职位ID
     * @param positionIdStart
     */
    public BussinesscardQuery positionIdStart(Long positionIdStart){
        this.positionIdStart = positionIdStart;
        return this;
    }

    /**
     * 设置 结束 职位ID
     * @param positionIdEnd
     */
    public BussinesscardQuery positionIdEnd(Long positionIdEnd){
        this.positionIdEnd = positionIdEnd;
        return this;
    }

    /**
     * 设置 增加 职位ID
     * @param positionIdIncrement
     */
    public BussinesscardQuery positionIdIncrement(Long positionIdIncrement){
        this.positionIdIncrement = positionIdIncrement;
        return this;
    }

    /**
     * 设置 职位ID
     * @param positionIdList
     */
    public BussinesscardQuery positionIdList(List<Long> positionIdList){
        this.positionIdList = positionIdList;
        return this;
    }

    /**
     * 设置 职位ID
     * @param positionIdNotList
     */
    public BussinesscardQuery positionIdNotList(List<Long> positionIdNotList){
        this.positionIdNotList = positionIdNotList;
        return this;
    }


    /**
     * 设置 职位名称
     * @param positionName
     */
    public BussinesscardQuery positionName(String positionName){
        setPositionName(positionName);
        return this;
    }

    /**
     * 设置 职位名称
     * @param positionNameList
     */
    public BussinesscardQuery positionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
        return this;
    }


    /**
     * 设置 简介
     * @param bio
     */
    public BussinesscardQuery bio(String bio){
        setBio(bio);
        return this;
    }

    /**
     * 设置 简介
     * @param bioList
     */
    public BussinesscardQuery bioList(List<String> bioList){
        this.bioList = bioList;
        return this;
    }


    /**
     * 设置 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段
     * @param socialMedia
     */
    public BussinesscardQuery socialMedia(String socialMedia){
        setSocialMedia(socialMedia);
        return this;
    }

    /**
     * 设置 社交媒体链接, 可以是一个包含社交媒体账号的JSON对象或单独的字段
     * @param socialMediaList
     */
    public BussinesscardQuery socialMediaList(List<String> socialMediaList){
        this.socialMediaList = socialMediaList;
        return this;
    }


    /**
     * 设置 二维码图片, 可以是一个图片链接或存储路径
     * @param qRCode
     */
    public BussinesscardQuery qRCode(String qRCode){
        setQRCode(qRCode);
        return this;
    }

    /**
     * 设置 二维码图片, 可以是一个图片链接或存储路径
     * @param qRCodeList
     */
    public BussinesscardQuery qRCodeList(List<String> qRCodeList){
        this.qRCodeList = qRCodeList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public BussinesscardQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public BussinesscardQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  累计查看次数
     * @param sumViews
     */
    public BussinesscardQuery sumViews(Integer sumViews){
        setSumViews(sumViews);
        return this;
    }

    /**
     * 设置 开始 累计查看次数
     * @param sumViewsStart
     */
    public BussinesscardQuery sumViewsStart(Integer sumViewsStart){
        this.sumViewsStart = sumViewsStart;
        return this;
    }

    /**
     * 设置 结束 累计查看次数
     * @param sumViewsEnd
     */
    public BussinesscardQuery sumViewsEnd(Integer sumViewsEnd){
        this.sumViewsEnd = sumViewsEnd;
        return this;
    }

    /**
     * 设置 增加 累计查看次数
     * @param sumViewsIncrement
     */
    public BussinesscardQuery sumViewsIncrement(Integer sumViewsIncrement){
        this.sumViewsIncrement = sumViewsIncrement;
        return this;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsList
     */
    public BussinesscardQuery sumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
        return this;
    }

    /**
     * 设置 累计查看次数
     * @param sumViewsNotList
     */
    public BussinesscardQuery sumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
        return this;
    }

    /**
     * 设置  当日查看次数
     * @param viewsByDay
     */
    public BussinesscardQuery viewsByDay(Integer viewsByDay){
        setViewsByDay(viewsByDay);
        return this;
    }

    /**
     * 设置 开始 当日查看次数
     * @param viewsByDayStart
     */
    public BussinesscardQuery viewsByDayStart(Integer viewsByDayStart){
        this.viewsByDayStart = viewsByDayStart;
        return this;
    }

    /**
     * 设置 结束 当日查看次数
     * @param viewsByDayEnd
     */
    public BussinesscardQuery viewsByDayEnd(Integer viewsByDayEnd){
        this.viewsByDayEnd = viewsByDayEnd;
        return this;
    }

    /**
     * 设置 增加 当日查看次数
     * @param viewsByDayIncrement
     */
    public BussinesscardQuery viewsByDayIncrement(Integer viewsByDayIncrement){
        this.viewsByDayIncrement = viewsByDayIncrement;
        return this;
    }

    /**
     * 设置 当日查看次数
     * @param viewsByDayList
     */
    public BussinesscardQuery viewsByDayList(List<Integer> viewsByDayList){
        this.viewsByDayList = viewsByDayList;
        return this;
    }

    /**
     * 设置 当日查看次数
     * @param viewsByDayNotList
     */
    public BussinesscardQuery viewsByDayNotList(List<Integer> viewsByDayNotList){
        this.viewsByDayNotList = viewsByDayNotList;
        return this;
    }

    /**
     * 设置  发送名片次数
     * @param sendBusinessCardTimes
     */
    public BussinesscardQuery sendBusinessCardTimes(Integer sendBusinessCardTimes){
        setSendBusinessCardTimes(sendBusinessCardTimes);
        return this;
    }

    /**
     * 设置 开始 发送名片次数
     * @param sendBusinessCardTimesStart
     */
    public BussinesscardQuery sendBusinessCardTimesStart(Integer sendBusinessCardTimesStart){
        this.sendBusinessCardTimesStart = sendBusinessCardTimesStart;
        return this;
    }

    /**
     * 设置 结束 发送名片次数
     * @param sendBusinessCardTimesEnd
     */
    public BussinesscardQuery sendBusinessCardTimesEnd(Integer sendBusinessCardTimesEnd){
        this.sendBusinessCardTimesEnd = sendBusinessCardTimesEnd;
        return this;
    }

    /**
     * 设置 增加 发送名片次数
     * @param sendBusinessCardTimesIncrement
     */
    public BussinesscardQuery sendBusinessCardTimesIncrement(Integer sendBusinessCardTimesIncrement){
        this.sendBusinessCardTimesIncrement = sendBusinessCardTimesIncrement;
        return this;
    }

    /**
     * 设置 发送名片次数
     * @param sendBusinessCardTimesList
     */
    public BussinesscardQuery sendBusinessCardTimesList(List<Integer> sendBusinessCardTimesList){
        this.sendBusinessCardTimesList = sendBusinessCardTimesList;
        return this;
    }

    /**
     * 设置 发送名片次数
     * @param sendBusinessCardTimesNotList
     */
    public BussinesscardQuery sendBusinessCardTimesNotList(List<Integer> sendBusinessCardTimesNotList){
        this.sendBusinessCardTimesNotList = sendBusinessCardTimesNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public BussinesscardQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public BussinesscardQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public BussinesscardQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public BussinesscardQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public BussinesscardQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public BussinesscardQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public BussinesscardQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public BussinesscardQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public BussinesscardQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public BussinesscardQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public BussinesscardQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public BussinesscardQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 名片展示设置
     * @param setting
     */
    public BussinesscardQuery setting(String setting){
        setSetting(setting);
        return this;
    }

    /**
     * 设置 名片展示设置
     * @param settingList
     */
    public BussinesscardQuery settingList(List<String> settingList){
        this.settingList = settingList;
        return this;
    }


    /**
     * 设置 公司地址
     * @param companyAdress
     */
    public BussinesscardQuery companyAdress(String companyAdress){
        setCompanyAdress(companyAdress);
        return this;
    }

    /**
     * 设置 公司地址
     * @param companyAdressList
     */
    public BussinesscardQuery companyAdressList(List<String> companyAdressList){
        this.companyAdressList = companyAdressList;
        return this;
    }


    /**
     * 设置 名片背景
     * @param backdrop
     */
    public BussinesscardQuery backdrop(String backdrop){
        setBackdrop(backdrop);
        return this;
    }

    /**
     * 设置 名片背景
     * @param backdropList
     */
    public BussinesscardQuery backdropList(List<String> backdropList){
        this.backdropList = backdropList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<BussinesscardQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<BussinesscardQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<BussinesscardQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<BussinesscardQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}